Views

Update a view

PATCH/views/{viewId}

filters replaces the whole tree. At least one field is required.

Authorization

apiKey
AuthorizationBearer <token>

Send your key as Authorization: Bearer mk_…. Session cookies are never accepted on this surface.

In: header

Path Parameters

viewId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

At least one field is required.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/views/string" \  -H "Authorization: Bearer $MAYLEE_KEY" \  -H "Content-Type: application/json" \  -d '{    "name": "Hot leads"  }'
{  "view": {    "createdAt": "2026-07-01T10:00:00.000Z",    "filters": {      "_and": [        {          "id": "c1",          "label": "ai_label",          "type": "contains",          "value": "cmtgai1b2c3d4e5f6g7h8i9j"        },        {          "id": "c2",          "label": "read_status",          "type": "is_false",          "value": ""        }      ],      "id": "g1"    },    "icon": "🎯",    "id": "cmvw1a2b3c4d5e6f7g8h9i0j",    "mailboxIds": [],    "name": "Leads to answer"  }}